petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecLockPush

Lock a vector from writing

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecLockPush(Vec x)

Logically Collective on Vec Many br

### Input Parameter

x -the vector Many br

Notes: If this is set then calls to VecGetArray() or VecSetValues() or any other routines that change the vectors values will fail. Many br

Call VecLockPop() to remove the latest lock Many br

Many br

### See Also

VecRestoreArray(), VecGetArrayRead(), VecLockPop(), VecLockGet()

Level:beginner
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages